{% set title = 'Filtres' %}
{% extends('admin/adminLayout.twig') %}
{% block content %}


	<h1>Filtres ({{ Filters|length }})</h1>

	<p class="text-right">
		<a href="{{ url('admin-filter-form') }}?f=new" class="btn btn-primary">
			<span class="glyphicon glyphicon-plus"></span>
			Nouveau filtre</a>
	</p>

	<table class="table table-hover table-condensed">
		<tr>

			<th>Filtre</th>
			<th>Objet / Action</th>
			<th>SQL</th>		
		
			<th></th>

		</tr>
		{% for F in Filters %}

			<tr>

				<td>
					<a href="{{ url('admin-filter-form') }}?f={{ F.filter_id }}">
						<b>{{ F.filter }}</b>
					</a>
				</td>
				<td>{{ F.object_type|raw }}</td>			
				
                <td><code>{{ F.sql }}</code></td>
				

				<td class="text-right">
					<a class="btn btn-xs btn-danger" href="{{ url('admin-filter-delete') }}?f={{ F.filter_id }}" onclick="return confirm('Confirmez-vous la suppression de ce filtre ?')">
						<span class="glyphicon glyphicon-remove"></span>
						Suppression
					</a>
				</td>
				


			</tr>


		{% endfor %}
	</table>


{% endblock %}
